Ajouter à la watchlist
curl --request POST \
--url https://dejavu.plus/api/v1/watchlist \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"type": "movie",
"id": 550,
"priority": 1
}
'import requests
url = "https://dejavu.plus/api/v1/watchlist"
payload = {
"type": "movie",
"id": 550,
"priority": 1
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({type: 'movie', id: 550, priority: 1})
};
fetch('https://dejavu.plus/api/v1/watchlist', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true
}{
"error": "VALIDATION_ERROR",
"message": "The field 'rating' must be between 1 and 10."
}{
"error": "UNAUTHORIZED",
"message": "API key is missing or invalid."
}{
"error": "FORBIDDEN",
"message": "A secret key (sk_...) is required for write operations."
}Watchlist
Ajouter à la watchlist
Adds a movie or TV show to the watchlist. Requires a secret key (sk_...).
POST
/
watchlist
Ajouter à la watchlist
Utilisation
Ajoute un média à la watchlist. L’authentification est requise viax-api-key ou Authorization: Bearer.
Exemple
curl -X POST -H "x-api-key: $DEJAVU_API_KEY" -H "Content-Type: application/json" "https://dejavu.plus/api/v1/watchlist"
Paramètres et réponse
Les paramètres, schémas de requête et réponses sont définis par la spécification OpenAPI affichée sur cette page. Utilisez les champs du schéma pour construire la requête.Erreurs
Consultez Responses pour les codes et formats d’erreur propres à l’opération. Une réponse401 indique une authentification absente ou invalide.
Notes
N’exposez jamais une clé APIsk_ dans du code client ou un dépôt public.Autorisations
ApiKeyHeaderBearerAuth
Clé API dejaVu. pk_* = lecture seule ; sk_* = lecture et écriture.
Corps
application/json
Réponse
Ajouté à la watchlist